{
    "id": "653de7e8-bc77-4dcb-844d-f1add604f42f",
    "name": "AutoEntry",
    "url": "https://www.sage.com/fr",
	"description": "AutoEntry est une solution intelligente dans le cloud qui élimine la saisie des données et vous évite de perdre du temps à saisir vos factures ou reçus manuellement.",
    "context": "accountingPeriod",
    "configuration": {
        "events": [
           {
                "type": "activated",
                "context": "accountingPeriod",
                "action": "generate"
           }
        ]
    },
    "ui": {
        "windows": [
            {
                "name": "accountingPeriod",
                "events": [
                    {
                        "type": "opening",
                        "action": "inject"
                    },
                    {
                        "type": "preopening",
                        "action": "checkWaitingBatches"
                    },
                    {
                        "type": "closing",
                        "action": "generate"
                    }
                ]
            }
        ]
    },
    "injector": {
        "name": "jsonBySchema",
        "payload": {
            "format": "zip",
            "contents": [
                {
                    "name": "tradingAccount.json",
                    "format": "json",
                    "schema": "privateApplication-generationexperts-tradingaccountfeed.json"
                },
                {
                    "name": "financialAccountJournalEntry.json",
                    "format": "json",
                    "schema": "privateApplication-generationexperts-financialaccountjournalentryfeed.json"
                }
            ]
        }
    },
    "generator": {
        "name": "jsonBySchema",
        "payload": {
            "format": "zip",
            "contents": [
                {
                    "name": "operatingCompany.json",
                    "format": "json",
                    "schema": "generationexperts-privateApplication-operatingcompanyfeed.json",
                    "binding": "generationexperts-privateApplication-operatingcompanyfeed-binding.json"
                },
                {
                    "name": "financialPeriod.json",
                    "format": "json",
                    "schema": "generationexperts-privateApplication-financialperiodfeed.json",
                    "binding": "generationexperts-privateApplication-financialperiodfeed-binding.json"
                },
                {
                    "name": "financialAccount.json",
                    "format": "json",
                    "schema": "generationexperts-privateApplication-financialaccountfeed.json",
                    "binding": "generationexperts-privateApplication-financialaccountfeed-binding.json"
                },
                {
                    "name": "financialAccountJournal.json",
                    "format": "json",
                    "schema": "generationexperts-privateApplication-financialaccountjournalfeed.json",
                    "binding": "generationexperts-privateApplication-financialaccountjournalfeed-binding.json"
                },
                {
                    "name": "tradingAccount.json",
                    "format": "json",
                    "schema": "generationexperts-privateApplication-tradingaccountfeed.json",
                    "binding": "generationexperts-privateApplication-tradingaccountfeed-binding.json"
                },
                {
                    "name": "analyticSections.json",
                    "format": "json",
                    "schema": "generationexperts-sharedaccounting-analyticSectionsfeed.json",
                    "binding": "generationexperts-sharedaccounting-analyticSectionsfeed-binding.json"
                }
            ]
        }
    }
}